CVE-2002-1505
CVSS7.5
发布时间 :2003-04-02 00:00:00
修订时间 :2008-09-05 16:30:46
NMCOES    

[原文]SQL injection vulnerability in board.php for WoltLab Burning Board (wBB) 2.0 RC 1 and earlier allows remote attackers to modify the database and possibly gain privileges via the boardid parameter.


[CNNVD]WoltLab Burning Board Board.PHP SQL注入漏洞(CNNVD-200304-022)

        WoltLab Burning Board (wBB) 2.0 RC 1及其之前版本的board.php存在SQL漏洞。远程攻击者借助boardid参数修改数据库且可能提升特权。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:woltlab:burning_board:2.0_rc1
cpe:/a:woltlab:burning_board:2.0_beta_3
cpe:/a:woltlab:burning_board:2.0_beta_5
cpe:/a:woltlab:burning_board:2.0_beta_4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1505
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1505
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200304-022
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/bugtraq/2002-09/0083.html
(VENDOR_ADVISORY)  BUGTRAQ  20020908 sql injection vulnerability in WBB 2.0 RC1 and below
http://www.securityfocus.com/bid/5675
(VENDOR_ADVISORY)  BID  5675
http://www.iss.net/security_center/static/10069.php
(VENDOR_ADVISORY)  XF  wbb-board-sql-injection(10069)

- 漏洞信息

WoltLab Burning Board Board.PHP SQL注入漏洞
高危 SQL注入
2003-04-02 00:00:00 2006-06-29 00:00:00
远程  
        WoltLab Burning Board (wBB) 2.0 RC 1及其之前版本的board.php存在SQL漏洞。远程攻击者借助boardid参数修改数据库且可能提升特权。

- 公告与补丁

        This issue is reportedly addressed in Woltlab Bulletin Board 2.0 RC2. Those affected by this vulnerability are advised to upgrade.

- 漏洞信息 (21779)

WoltLab Burning Board 2.0 SQL Injection Vulnerability (EDBID:21779)
php webapps
2002-09-09 Verified
0 Cano2
N/A [点击下载]
source: http://www.securityfocus.com/bid/5675/info

WoltLab is prone to SQL injection attacks. This is due to insufficient sanitization of parameters handled by the board.php script, which may be supplied externally via the query string in a web request.

The logic of a SQL query made by the script may be modified, resulting in the potential for database corruption. It has been demonstrated that it is possible to exploit this condition to gain administrative privileges within the bulletin board system. 

board.php?boardid=[boardid]%27,%20userid=%27[victims userid, 1 is
usually an admin]&sid=[attackers session-id] 		

- 漏洞信息

10106
WoltLab Burning Board board.php boardid Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Unknown

- 漏洞描述

WoltLab Burning Board contains a flaw that may allow a remote attacker to carry out an SQL injection attack. The issue is due to the 'board.php' script not properly sanitizing user-supplied input to the 'boardid' variable. This may allow a remote attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2002-09-08 2002-07-29
Unknow Unknow

- 解决方案

Upgrade to version 2.0 RC 2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

WoltLab Burning Board Board.PHP SQL Injection Vulnerability
Input Validation Error 5675
Yes No
2002-09-09 12:00:00 2009-07-11 05:06:00
Discovery of this issue is credited to Cano2 <Cano2@buhaboard.de>.

- 受影响的程序版本

Woltlab Burning Board 2.0 RC1
Woltlab Burning Board 2.0 beta 5
Woltlab Burning Board 2.0 beta 4
Woltlab Burning Board 2.0 beta 3
Woltlab Burning Board 2.0 RC2

- 不受影响的程序版本

Woltlab Burning Board 2.0 RC2

- 漏洞讨论

WoltLab is prone to SQL injection attacks. This is due to insufficient sanitization of parameters handled by the board.php script, which may be supplied externally via the query string in a web request.

The logic of a SQL query made by the script may be modified, resulting in the potential for database corruption. It has been demonstrated that it is possible to exploit this condition to gain administrative privileges within the bulletin board system.

- 漏洞利用

The following example was submitted:

board.php?boardid=[boardid]%27,%20userid=%27[victims userid, 1 is
usually an admin]&amp;sid=[attackers session-id]

- 解决方案

This issue is reportedly addressed in Woltlab Bulletin Board 2.0 RC2. Those affected by this vulnerability are advised to upgrade.

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站